<?php
include_once(dirname(__FILE__).'/../paymentmethod/classes/payment/core.php');

$supportedPayments = SkrillPayment::getSupportedPaymentsByCountryCode($_SESSION['Kunde']->cLand);
$paymentMethodList = SkrillPayment::$paymentMethods;
$paymentMethodShowTitleLogo = array(
    
);

$Zahlungsart_arr  = array();
$oZahlungsart_arr = $smarty->get_template_vars('Zahlungsarten');
$accEnabled = 0;
if (count($oZahlungsart_arr) > 0) {
    foreach ($oZahlungsart_arr as $key => $payment) {
        if ($payment->cAnbieter == "Skrill") {
            $payment->name = substr($payment->cModulId, strripos($payment->cModulId, '_') + 1);
            $enabled = $oPlugin->oPluginEinstellungAssoc_arr[$payment->cModulId.'_enabled'] == 1;

            if ($payment->name == 'allekartenundalternativenzahlungsmethoden') {
                $showSeparately = true;
            } else {
                $showSeparately = $oPlugin->oPluginEinstellungAssoc_arr[$payment->cModulId.'_show_separately'] == 1;
            }

            if ($payment->name == 'kreditkarte') {
                $accConfig = 'kPlugin_'.$oPlugin->kPlugin.'_kreditkarte_enabled';
                $accEnabled = $oPlugin->oPluginEinstellungAssoc_arr[$accConfig] == 1;
            }

            $accConfig = 'kPlugin_'.$oPlugin->kPlugin.'_kreditkarte_show_separately';
            $accShowSeparately = $oPlugin->oPluginEinstellungAssoc_arr[$accConfig] == 1;

            if ($accEnabled && $accShowSeparately) {
                switch ($payment->name) {
                    case 'visa':
                    case 'mastercard':
                        $showSeparately = false;
                        break;
                }
            }

            $paymentMethod = PaymentMethod::create($payment->cModulId);
            $brand = $paymentMethod->getPaymentType();

            if (!$enabled || !$showSeparately || !in_array($brand, $supportedPayments)) {
                continue;
            }


            if (in_array($payment->name, $paymentMethodShowTitleLogo)) {
                $path = $oPlugin->cFrontendPfadURL.'../paymentmethod/images/';

                if ($payment->name == 'barzahlung/rechnung') {
                    $paymentMethodCode = 'ACI';
                } elseif ($payment->name == 'bankuberweisung') {
                    $paymentMethodCode = 'ADB';
                } elseif ($payment->name == 'manuellebankuberweisung') {
                    $paymentMethodCode = 'AOB';
                }

                if ( $paymentMethodCode == 'AOB' || $paymentMethodCode == 'ADB' || $paymentMethodCode == 'ACI') {
                    $countryCode3Digit = SkrillPayment::getCountryIso3ByIso2($_SESSION['Kunde']->cLand);
                    $bankOfCountries = $paymentMethodList[$paymentMethodCode]['allowedCountries'][$countryCode3Digit];
                    $payment->supported_bank_logos = array_values($bankOfCountries);
                    $payment->supported_bank_name = array_keys($bankOfCountries);
                } else {
                    $payment->supported_bank_logos = $paymentMethodList[$paymentMethodCode]['logos'];
                    $payment->supported_bank_name = $paymentMethodList[$paymentMethodCode]['banks'];
                }

                $isoSprache = $_SESSION['cISOSprache'];

                foreach ($oPlugin->oPluginSprachvariable_arr as $translation) {
                    if (strrpos($translation->cName, $paymentMethodCode)) {
                        $payment->angezeigterName =
                        $translation->oPluginSprachvariableSprache_arr[strtoupper($isoSprache)];
                    }
                }

                $payment->cBild = '';
                $payment->cHinweisText = "";

                if (empty($payment->supported_bank_logos)) {
                    continue;
                } else {
                    $count = count($payment->supported_bank_logos);
                    foreach ($payment->supported_bank_logos as $key => $logo) {
                        $payment->cHinweisText .= '<img src="'.$path.$logo.
                        '" alt="'.$payment->angezeigterName.
                        '" class="vmiddle" style="margin: 10px" height="25">';
                    }
                }
            } else {
                $payment->cBild .= '" class="vmiddle" style="margin-left: 5px" height="49';
            }
        }
        $Zahlungsart_arr[] = $payment;
    }
    $smarty->assign('Zahlungsarten', $Zahlungsart_arr);
}
